i-mscp certbot fix 
Sunday, 12 December 2021, 14:14 - Software, i-mscp
Posted by Administrator
The current let's encrypt plugin won't work any more, it throws an error about expired certificate when verifing after issuance, and removes SSL/TLS encryption for the site. This is caused because one of the LE root certificates has been expired.

So I searched for a quick fix so that newly issued certificates will work again, and have written a small patch for the certbot client you can find here. This will remove the expired root CA cert within the certificate chain, resulting in verification done by i-mscp won't fail any more.
add comment ( 318 views )   |  permalink   |  $star_image$star_image$star_image$star_image$star_image ( 3 / 249 )

| 1 |